The Industry Type object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

industry string required
The Industry Type object
{
  "id": "industry-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "industry": "industry_example"
}
GET /api/crm/industry-type/{id}

Retrieve a industry type

Retrieves the details of an existing industry type. Supply the unique industry type ID that was returned from a previous request.

Path parameters

id string required

The identifier of the industry type to retrieve.

Returns

Returns the industry type object if a valid identifier was provided.

GET /api/crm/industry-type/{id}
curl https://api.overplane.dev/api/crm/industry-type/industry-type_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "industry-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "industry": "industry_example"
}
GET /api/crm/industry-type

List all industry types

Returns a list of industry types. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of industry type objects.

GET /api/crm/industry-type
curl https://api.overplane.dev/api/crm/industry-type \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "industry-type_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "industry": "industry_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/crm/industry-type

Create a industry type

Creates a new industry type object.

Body parameters

industry string required

Returns

Returns the newly created industry type object if the call succeeded.

POST /api/crm/industry-type
curl https://api.overplane.dev/api/crm/industry-type \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"industry":"industry_example"}'
Response
{
  "id": "industry-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "industry": "industry_example"
}
PATCH /api/crm/industry-type/{id}

Update a industry type

Updates the specified industry type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the industry type to update.

Body parameters

industry string

Returns

Returns the updated industry type object.

PATCH /api/crm/industry-type/{id}
curl https://api.overplane.dev/api/crm/industry-type/industry-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"industry":"industry_example"}'
Response
{
  "id": "industry-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "industry": "industry_example"
}
DELETE /api/crm/industry-type/{id}

Delete a industry type

Permanently deletes a industry type. This cannot be undone.

Path parameters

id string required

The identifier of the industry type to delete.

Returns

Returns a confirmation that the industry type has been deleted.

DELETE /api/crm/industry-type/{id}
curl https://api.overplane.dev/api/crm/industry-type/industry-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "industry-type_abc123",
  "deleted": true
}